Transfer signups from one variant to another
API v1 is the older API. It still works, but new integrations should use API v2. Migrating from v1 to v2
POST
/external/intents/transfer_signupsCosts 2 rate-limit points · Rate limits
Transfer intents (signups) from a source variant to a target variant. This is useful when consolidating variants or when products are restructured. By default transfers pending intents, but can transfer sent or all intents based on intent_type parameter.
Request body
from_shopify_variant_idintegerRequiredShopify variant ID to transfer signups from
from_shopify_product_idintegerRequiredShopify product ID of the source variant
to_shopify_variant_idintegerRequiredShopify variant ID to transfer signups to
to_shopify_product_idintegerRequiredShopify product ID of the target variant
intent_typestringType of intents to transfer (default is unsent/pending)
One ofunsentsentall
Errors
400
Bad request - invalid parameters
401
Unauthorized
422
Transfer failed
POST/external/intents/transfer_signups
curl -X POST "https://app.stoqapp.com/api/v1/external/intents/transfer_signups" \
-H "X-Auth-Token: $STOQ_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"from_shopify_variant_id": 43900910010503,
"from_shopify_product_id": 7891234567890,
"to_shopify_variant_id": 43900910010999,
"to_shopify_product_id": 7891234567890,
"intent_type": "unsent"
}'const res = await fetch("https://app.stoqapp.com/api/v1/external/intents/transfer_signups", {
method: "POST",
headers: {
"X-Auth-Token": process.env.STOQ_API_KEY,
"Content-Type": "application/json",
},
body: JSON.stringify({
"from_shopify_variant_id": 43900910010503,
"from_shopify_product_id": 7891234567890,
"to_shopify_variant_id": 43900910010999,
"to_shopify_product_id": 7891234567890,
"intent_type": "unsent"
}),
});
const data = await res.json();import os
import requests
res = requests.post(
"https://app.stoqapp.com/api/v1/external/intents/transfer_signups",
headers={"X-Auth-Token": os.environ["STOQ_API_KEY"]},
json={
"from_shopify_variant_id": 43900910010503,
"from_shopify_product_id": 7891234567890,
"to_shopify_variant_id": 43900910010999,
"to_shopify_product_id": 7891234567890,
"intent_type": "unsent"
},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.stoqapp.com/api/v1/external/intents/transfer_signups")
req = Net::HTTP::Post.new(uri, "X-Auth-Token" => ENV["STOQ_API_KEY"], "Content-Type" => "application/json")
req.body = {
from_shopify_variant_id: 43900910010503,
from_shopify_product_id: 7891234567890,
to_shopify_variant_id: 43900910010999,
to_shopify_product_id: 7891234567890,
intent_type: "unsent"
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
No body
No body
No body
No body